Skip to content

Queue Scenario Run

POST
/api/v1/projects/{project_id}/queue-scenario
curl --request POST \
--url https://api.totalview.energy/api/v1/projects/example/queue-scenario \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "scenario_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "profile_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "run_all_profiles": false, "analysis_year": 1, "customer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Queue a model run for a specific scenario and profile.

Supports run_all_profiles=True to queue N runs for all profiles.

project_id
required
Project Id
string
Media type application/json
QueueWithScenario

Extended queue request with scenario and profile support.

object
scenario_id
Any of:
string format: uuid
profile_id
Any of:
string format: uuid
run_all_profiles
Run All Profiles

Queue N runs for all profiles in the scenario

boolean
analysis_year
Any of:
integer
customer_id
Any of:
string format: uuid

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}